Home | All Classes | Grouped Classes | Index | Search

# Class CL_Matrix4x4

4x4 Matrix. More...

Derived from: none
Derived by: none
Group: Core (Math)

#include <ClanLib/core.h>

Construction:

CL_Matrix4x4 | Constructs a 4x4 matrix.

Attributes:

matrix |
operator double const* | Operator that returns the matrix as a double[16] array.
operator double* | Operator that returns the matrix as a double[16] array.
operator [] | Operator that returns the matrix cell at the given index.
get_origin_x | Returns the x coordinate for the point (0,0,0) multiplied with this matrix.
get_origin_y | Returns the y coordinate for the point (0,0,0) multiplied with this matrix.
get_origin_z | Returns the z coordinate for the point (0,0,0) multiplied with this matrix.

Operations:

operator = | Copy assignment operator.
operator == | Equality operator.
operator != | Not-equal operator.
multiply | Multiply two matrices.

Detailed description:

Questions or comments, write to the ClanLib mailing list.